package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum PaymentMethod implements BaseEnum<String, PaymentMethod> {
	ONE_OFF("ONE_OFF", "一次性"), MONTHLY("MONTHLY", "按月"), TERM("TERM", "学期"), YEAR("YEAR", "按年");

	private String code;

	private String desc;

	private PaymentMethod(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
